
Name:		yagf
Version:	0.9.5
Release:	%mkrel 2
Summary:	Cuneiform and Tesseract text recognition tool
URL:		http://symmetrica.net/cuneiform-linux/yagf-en.html
Group:		Graphics
License:	GPLv3
Source0:	%{name}-%{version}.tar.xz
Source1:	%name.1
Patch0:		disable-crop-image-when-loaded.patch
Patch1:		mainform-unistd.patch
Patch2:		%{name}-%{version}-nothreads.patch
Patch3:		configdialog-fontsize.patch
BuildRequires: 	cmake
BuildRequires:  desktop-file-utils
BuildRequires:  %{_lib}aspell-devel
BuildRequires:  %{_lib}qt4-devel
BuildRequires:  dos2unix
Requires:       tesseract
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
YAGF is a graphical interface for cuneiform and tesseract text recognition tools 
on the Linux platform. With YAGF you can scan images via XSane, import pages 
from PDF documents, perform images preprocessing and recognize texts using 
cuneiform from a single command centre. YAGF also makes it easy to scan and 
recognize several images sequentially.

%prep
%setup -q
%apply_patches

# fix line brake for debug package
dos2unix src/mainform.cpp src/mainform.h

# fix permissions
chmod 644 src/mainform.cpp src/mainform.h src/main.cpp

# Substitute missing align.png resource
cp -a src/images/Align.png src/images/align.png

%build
%cmake_qt4
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --add-category="X-MandrakeLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/YAGF.desktop

install -Dpm 0644 %SOURCE1 $RPM_BUILD_ROOT%{_mandir}/man1/%name.1

%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/sbin/ldconfig

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
/sbin/ldconfig

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING DESCRIPTION README
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_iconsdir}/hicolor/96x96/apps/%{name}.png
%{_datadir}/applications/YAGF.desktop
%{_datadir}/pixmaps/yagf.png
%{_datadir}/%{name}/translations/%{name}_*.qm
%{_datadir}/appdata/YAGF.appdata.xml
%{_mandir}/man1/%name.1.*


%changelog
* Thu Dec 21 2017 bb2 <bb2> - 0.9.5-2pclos2017
- adjust specfile build cmake to cmake_qt4
- adjust specfile to make bumpspec update work better

* Tue Nov 28 2017 Zen Subz <techars21 at gmail dot com> - 0.9.5-1pclos2017
- Updated build for PCLinuxOS

* Fri Jul 03 2015 bb <bb> 0.9.4.2-1pclos2015
- update

* Sun Mar 23 2014 <vogtpet at gmail.com> 0.9.3-1pclos2014
- 0.9.3
- amended BR acc Fedora
- added Requires Tesseract

